# VideoWidget Class Reference

### [com.trolltech.qt.phonon package]

Inherits QWidget.

### Constructor

- void VideoWidget(QWidget parent)

### Constructor Properties

- prototype: The VideoWidget prototype object
- AspectRatioAuto = 0
- AspectRatioWidget = 1
- AspectRatio4_3 = 2
- AspectRatio16_9 = 3
- AspectRatio( value )
- FitInView = 0
- ScaleAndCrop = 1
- ScaleMode( value )

### Prototype Object Properties

The VideoWidget prototype object inherits properties from the QWidget prototype object and also has the following properties.

- QImage snapshot()

### Instance Properties

VideoWidget objects inherit properties from the VideoWidget prototype object and also have the following properties.

- fullScreen
- aspectRatio
- scaleMode
- brightness
- contrast
- hue
- saturation